Retrieve a fee
curl --request GET \
--url https://api.engine.usesophic.com/fees/{fee_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/fees/{fee_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/fees/{fee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alias": "<string>",
"chargeable_currencies": {},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"display_name": "<string>",
"fee_type": "transaction",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"tax_rate": "0.20",
"transaction_type": "<string>",
"variants": [
{
"created_at": "2023-11-07T05:31:56Z",
"fee": "<string>",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"instrument": "<string>",
"instrument_type": "<string>",
"portfolio_type": "<string>",
"transaction_type": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Billing
Retrieve a fee
Retrieve a fee by ID, including its variants.
GET
/
fees
/
{fee_id}
Retrieve a fee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Stable alias of the fee.
Fee amounts by chargeable currency.
Show child attributes
Show child attributes
Description of the fee.
Display name of the fee.
Type of fee.
Available options:
transaction, recurring Unique resource identifier.
Internal name of the fee.
Tax rate applied to the fee.
Example:
"0.20"
Transaction type to which the fee applies.
Scoped variants of this fee.
Show child attributes
Show child attributes